Package org.eclipse.birt.report.model.api

# Class OdaDataSetHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.DataSetHandle
org.eclipse.birt.report.model.api.OdaDataSetHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IOdaDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.IOdaExtendableElementModel`, `org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel`

public class OdaDataSetHandle extends DataSetHandle implements org.eclipse.birt.report.model.elements.interfaces.IOdaDataSetModel, org.eclipse.birt.report.model.elements.interfaces.IOdaExtendableElementModel
Represents an extended data set.

See Also:
  - `OdaDataSet`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSetModel

`ACL_EXPRESSION_PROP, CACHED_METADATA_PROP, COLUMN_HINTS_PROP, COMPUTED_COLUMNS_PROP, FILTER_PROP, IS_VISIBLE_PROP, LOCALE_PROP, NEEDS_CACHE_PROP, NULLS_ORDERING_PROP, PARAMETERS_PROP, RESULT_SET_HINTS_PROP, RESULT_SET_PROP, ROW_ACL_EXPRESSION_PROP, ROW_FETCH_LIMIT_PROP, SORT_HINTS_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IOdaDataSetModel

`DESIGNER_STATE_PROP, DESIGNER_VALUES_PROP, PRIVATE_DRIVER_PROPERTIES_PROP, PUBLIC_DRIVER_PROPERTIES_PROP, QUERY_TEXT_PROP, RESULT_SET_NAME_PROP, RESULT_SET_NUMBER_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IOdaExtendableElementModel

`EXTENSION_ID_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel

`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD, CACHED_ROW_COUNT_PROP, DATA_SET_ROW_LIMIT, DATA_SOURCE_PROP, ON_FETCH_METHOD, PARAM_BINDINGS_PROP`

## Constructor Summary

Constructors
Constructor
Description
`OdaDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle for extended data set report item.

## Method Summary

Modifier and Type
Method
Description
`IElementDefn`
`getDefn()`
Returns the element definition of the element this handle represents.
`byte[]`
`getDesigerStateContentAsBlob()`
Returns the content of designer state as the byte array.
`String`
`getDesigerStateContentAsString()`
Returns the content of designer state as the string.
`String`
`getDesigerStateVersion()`
Returns the version of designer state.
`OdaDesignerStateHandle`
`getDesignerState()`
Returns the oda designer state.
`String`
`getDesignerValues()`
Returns persistent ODA designer values stored in the data set.
`String`
`getExtensionID()`
Returns ID of the extension which extends this ODA data set.
`String`
`getExtensionName()`
Deprecated.
use `getExtensionID()`
`List`
`getExtensionPropertyDefinitionList()`
Returns the list of extension property definition.
`String`
`getPrivateDriverDesignState()`
Deprecated.
`String`
`getPrivateDriverProperty(String name)`
Returns a private driver property value with the given property name.
`String`
`getQueryScript()`
Deprecated.
to be removed.
`String`
`getQueryText()`
Returns the query text.
`String`
`getResultSetName()`
Returns the result set name.
`int`
`getResultSetNumber()`
Gets the result set number.
`String`
`getType()`
Deprecated.
type has been replaced by extension ID
`Iterator`
`parametersIterator()`
Returns an iterator over the list of oda dataset parameter definitions.
`Iterator`
`privateDriverPropertiesIterator()`
Returns the iterator for the private driver property list.
`void`
`setDesigerStateContentAsBlob(byte[] content)`
Returns the content of designer state as the byte.
`void`
`setDesigerStateContentAsString(String content)`
Returns the content of designer state as the string.
`void`
`setDesigerStateVersion(String version)`
Returns the version of designer state.
`OdaDesignerStateHandle`
`setDesignerState(OdaDesignerState designerState)`
Sets the designer state for a oda data set.
`void`
`setDesignerValues(String values)`
Stores persistent ODA designer values in the data set.
`void`
`setPrivateDriverDesignState(String state)`
Deprecated.
`void`
`setPrivateDriverProperty(String name, String value)`
Sets a private driver property value with the given name and value.
`void`
`setQueryScript(String script)`
Deprecated.
to be removed.
`void`
`setQueryText(String text)`
Sets the query text.
`void`
`setResultSetName(String name)`
Sets the result set name.
`void`
`setResultSetNumber(int number)`
Sets the result set number.
`void`
`setType(String type)`
Deprecated.
type has been replaced by extension ID

### Methods inherited from class org.eclipse.birt.report.model.api.DataSetHandle

`addFilter, columnHintsIterator, computedColumnsIterator, filtersIterator, getACLExpression, getAfterClose, getAfterOpen, getBeforeClose, getBeforeOpen, getCachedMetaDataHandle, getCachedRowCount, getDataSetRowLimit, getDataSource, getDataSourceName, getLocale, getNullsOrdering, getOnFetch, getPropertyHandle, getRowACLExpression, getRowFetchLimit, isVisible, needsCache, paramBindingsIterator, removeFilter, resultSetHintsIterator, resultSetIterator, setAfterClose, setAfterOpen, setBeforeClose, setBeforeOpen, setCachedMetaData, setCachedRowCount, setDataSetRowLimit, setDataSource, setIsVisible, setLocale, setNeedsCache, setNullsOrdering, setOnFetch, setRowFetchLimit, sortHintsIterator`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OdaDataSetHandle

public OdaDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle for extended data set report item. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getPrivateDriverDesignState

@Deprecated public String getPrivateDriverDesignState()
Deprecated.
Returns the private driver design state.

Returns:
  the private driver design state

### getQueryScript

@Deprecated public String getQueryScript()
Deprecated.
to be removed.
Returns the script for query.

Returns:
  the script for query .

### getQueryText

public String getQueryText()
Returns the query text.

Returns:
  the query text.

### getType

@Deprecated public String getType()
Deprecated.
type has been replaced by extension ID
Returns the data set type.

Returns:
  the data set type

### getResultSetName

public String getResultSetName()
Returns the result set name.

Returns:
  the result set name

### setPrivateDriverDesignState

@Deprecated public void setPrivateDriverDesignState(String state) throws SemanticException
Deprecated.
Sets the private driver design state.

Parameters:
  `state` - the design state to set
Throws:
  `SemanticException` - if this property is locked.

### setQueryScript

@Deprecated public void setQueryScript(String script) throws SemanticException
Deprecated.
to be removed.
Sets the query script.

Parameters:
  `script` - the script to set
Throws:
  `SemanticException` - if this property is locked.

### setQueryText

public void setQueryText(String text) throws SemanticException
Sets the query text.

Parameters:
  `text` - the text to set
Throws:
  `SemanticException` - if this property is locked.

### setType

@Deprecated public void setType(String type) throws SemanticException
Deprecated.
type has been replaced by extension ID
Sets the type.

Parameters:
  `type` - the type to set
Throws:
  `SemanticException` - if this property is locked.

### setResultSetName

public void setResultSetName(String name) throws SemanticException
Sets the result set name.

Parameters:
  `name` - the name to set
Throws:
  `SemanticException` - if this property is locked.

### getExtensionName

@Deprecated public String getExtensionName()
Deprecated.
use `getExtensionID()`
Returns the extension name defined by the extended item.

Returns:
  the extension name as a string

### getExtensionID

public String getExtensionID()
Returns ID of the extension which extends this ODA data set.

Returns:
  the extension ID

### privateDriverPropertiesIterator

public Iterator privateDriverPropertiesIterator()
Returns the iterator for the private driver property list. The item over the iterator is the instance of `ExtendedPropertyHandle`.

Returns:
  the iterator over private driver property list defined on this data set.
See Also:
  - `ExtendedProperty`

### getPrivateDriverProperty

public String getPrivateDriverProperty(String name)
Returns a private driver property value with the given property name.

Parameters:
  `name` - the name of a public driver property
Returns:
  a public driver property value

### setPrivateDriverProperty

public void setPrivateDriverProperty(String name, String value) throws SemanticException
Sets a private driver property value with the given name and value. If the property does not exist, it will be added into the property list. If the property already exists, the value of the property will be overwritten.

Parameters:
  `name` - the name of a public driver property
  `value` - the value of a public driver property
Throws:
  `SemanticException` - if `name` is `null` or an empty string after trimming.

### getDefn

public IElementDefn getDefn()
Returns the element definition of the element this handle represents.

Overrides:
  `getDefn` in class `DesignElementHandle`
Returns:
  the element definition of the element this handle represents.

### getExtensionPropertyDefinitionList

public List getExtensionPropertyDefinitionList()
Returns the list of extension property definition. All these properties are just those defined in extension plugin.

Returns:
  the list of extension property definition.

### getDesigerStateVersion

public String getDesigerStateVersion()
Returns the version of designer state.

Returns:
  the version of designer state.

### setDesigerStateVersion

public void setDesigerStateVersion(String version) throws SemanticException
Returns the version of designer state.

Parameters:
  `version` - the version of designer state.
Throws:
  `SemanticException` - if designer state property is locked.

### getDesigerStateContentAsString

public String getDesigerStateContentAsString()
Returns the content of designer state as the string.

Returns:
  the content of designer state as the string.

### setDesigerStateContentAsString

public void setDesigerStateContentAsString(String content) throws SemanticException
Returns the content of designer state as the string.

Parameters:
  `content` - the content of designer state as the string.
Throws:
  `SemanticException` - if designer state property is locked.

### getDesigerStateContentAsBlob

public byte[] getDesigerStateContentAsBlob()
Returns the content of designer state as the byte array.

Returns:
  the content of designer state as the byte array.

### setDesigerStateContentAsBlob

public void setDesigerStateContentAsBlob(byte[] content) throws SemanticException
Returns the content of designer state as the byte.

Parameters:
  `content` - the content of designer state as the byte.
Throws:
  `SemanticException` - if designer state property is locked.

### getDesignerState

public OdaDesignerStateHandle getDesignerState()
Returns the oda designer state.

Returns:
  a handle to the designer state property, return `null` if the designer state.
See Also:
  - `OdaDesignerStateHandle`

### setDesignerState

public OdaDesignerStateHandle setDesignerState(OdaDesignerState designerState) throws SemanticException
Sets the designer state for a oda data set.

Parameters:
  `designerState` - new designer state
Returns:
  a handle to the designer state
Throws:
  `SemanticException` - if member of the designer state is not valid.

### parametersIterator

public Iterator parametersIterator()
Returns an iterator over the list of oda dataset parameter definitions. The iterator returns instances of `OdaDataSetParameterHandle` that represents oda dataset parameter objects.

Overrides:
  `parametersIterator` in class `DataSetHandle`
Returns:
  iterator over oda dataset parameter definitions.
See Also:
  - `DataSetParameter`

### getDesignerValues

public String getDesignerValues()
Returns persistent ODA designer values stored in the data set.

Returns:
  designer values in string

### setDesignerValues

public void setDesignerValues(String values) throws SemanticException
Stores persistent ODA designer values in the data set.

Parameters:
  `values` - designer values in string
Throws:
  `SemanticException` - if the property is locked.

### getResultSetNumber

public int getResultSetNumber()
Gets the result set number.

Returns:
  the result set number.

### setResultSetNumber

public void setResultSetNumber(int number) throws SemanticException
Sets the result set number.

Parameters:
  `number` - the result set number.
Throws:
  `SemanticException`